package com.bsoft.admin.service.impl;

import com.bsoft.admin.mapper.SysRoleMapper;
import com.bsoft.admin.mapper.SysUserRoleRsMapper;
import com.bsoft.admin.model.SysRole;
import com.bsoft.admin.model.SysUserRoleRs;
import com.bsoft.admin.service.SysUserRoleRsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class SysUserRoleServiceImpl implements SysUserRoleRsService {

    @Resource
    private SysUserRoleRsMapper sysUserRoleRsMapper;
    @Resource
    private SysRoleMapper sysRoleMapper;

    @Override
    public List<SysRole> getRoleListByUser(Long userId) throws Exception {
        return sysRoleMapper.selectRoleByUser(userId);
    }

    @Override
    public int add(SysUserRoleRs sysUserRoleRs) {
        return sysUserRoleRsMapper.insert(sysUserRoleRs);
    }

    @Override
    public List<SysUserRoleRs> findAll() {
        return sysUserRoleRsMapper.selectAll();
    }

    @Override
    public SysUserRoleRs find(Long id) {
        return sysUserRoleRsMapper.selectByPrimaryKey(id);
    }

    @Override
    public int delete(Long id) {
        return sysUserRoleRsMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int logicDelete(Long id) {
        return 0;
    }

    @Override
    public int update(SysUserRoleRs sysUserRoleRs) {
        return sysUserRoleRsMapper.updateByPrimaryKey(sysUserRoleRs);
    }
}
